.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/usr.sbin/kernbb/kernbb.8,v 1.1.6.5 1999/09/05 11:40:20 peter Exp $
.\"
.Dd May 22, 1995
.Dt KERNBB 8
.Os FreeBSD 2.1
.Sh NAME
.Nm kernbb
.Nd generate a dump of the kernels basic-block profile buffers
.Sh SYNOPSIS
.Nm kernbb
.Sh DESCRIPTION
.Nm Kernbb
is a tool used to dump the basic-block profiling buffers of the running
kernel.
.Pp
At least one source file in the running kernel must have been compiled
with the
.Fl a
option.
.Pp
The output format is ascii, consisting of one line per record with the
following fields: filename, linenumber, procedure, address, count
of executions, length of the basic-block in bytes and the product of
the previous two fields.
.Sh FILES
.Bl -tag -width /dev/kmemx -compact
.It Pa /kernel
the default system
.It Pa /dev/kmem
the default memory
.El
.Sh SEE ALSO
.Xr cc 1
.Sh AUTHORS
The
.Nm 
command was written by
.An Poul-Henning Kamp ,
along with the kernel-support.
